import setup
from random import randint


class FieldObject:
    '''
    Объект на игровом поле
    От него наследуются Player, Anthill и Ant
    '''

    def __init__(self, y, x, image):
        self.y = y
        self.x = x
        self.image = image


class Player(FieldObject):
    '''
    Игрок
    '''

    def __init__(self, y, x):
        image = setup.PLAYER
        self.ants_eaten = 0
        super().__init__(y, x, image)


class Anthill(FieldObject):
    ''' Муравейник '''

    def __init__(self, y, x):
        image = setup.ANTHILL
        super().__init__(y, x, image)
        self.ants_counter = randint(
            setup.ANTS_PER_ANTHILL_MIN, setup.ANTS_PER_ANTHILL_MAX)


class Ant(FieldObject):
    ''' Муравей '''

    def __init__(self, y, x):
        image = setup.ANT
        super().__init__(y, x, image)
